Subject: [seamoby] Was BURP BOF, now a dark revelation...

From: [email-masked]
Date: Tue, 23 Jan 2001 18:51:06 -0600

Michael,

Yes, that is the party line.  I am not happy with it.  So a (growing)
number of us have decided that SeaMoby has been more-or-less
deprived of its original spirit, and sadly, we are going to re-double,
our new contributions in the MIP WG.   Oh well,  we did try to make
a go of it here.  I hope we can sustain the amount of interest and
high quality creative ideas that have been flowing in to the SeaMoby
lists when we get over there.  I have a sneaking  suspicion that we
are just going to contribute to the additive white gaussian noise on
those lists....  :-(

Sincerely,

Phil Neumiller

What I've never been clear on is how -- especially
for MIPv6 -- the leap was made that MIP is the
moral equivalent of PPP/CHAP. _I_ thought that MIP
was intented to affect routing changes, not to be a
catch all for access control.

           Mike

---

From: Pat Calhoun <[email-masked]>
Date: Tue, 23 Jan 2001 16:51:39 -0800 (PST)

I'm assuming that Phil here is refering to Micro-Mobility, and not context
transfer or paging. However, the Micro-Mobility folks have a working draft,
and are under the assumption that there is work to be done.

That said, is MIP the equivalent of PPP? Well the question that I would ask
you is why impose a circuit switched model on next generation wireless
technologies that are actually moving AWAY from circuit switched models? In
CDMA, some services ONLY use PPP for its HDLC framing, not good protocol use,
IMHO.

So, MIP provides user authentication for network access. Is this replicating
PPP? Well, not any more than RSVP does user authentication. So, perhaps I am
misunderstanding your comment. Could you clarify?

PatC

---

From: Michael Thomas <[email-masked]>
Date: Tue, 23 Jan 2001 17:18:19 -0800 (PST)

> CDMA, some services ONLY use PPP for its HDLC framing, not good protocol use,

   I said moral equivalent. PPP/CHAP/RADIUS ~= MIP/IPSEC/DIAMETER(?)

   And I'm not imposing any circuits on anybody.
 
 > misunderstanding your comment. Could you clarify?

   So does RSVP. So does L2TP. So does (somewhat more tenuously)
   IKE...

   The charter of the BOF specifically states that when MIP
   is present, it should be used as the access mechanism. The
   same can be said of all of the above too, so I wonder why
   there is a reason why MIP was effectively given a preferential
   status in the charter over other methods of filling the PPP/CHAP
   vacuum, especially when it's not in MIP's charter  -- as far as
   I know -- to be a network access mechanism. That and it is seemingly
   at odds with the way that v6 MIP works (which doesn't have a
   FA at all). 

   Either the BOF should say that it wants to make MIP into the
   new access protocol, or it should remove any preferential
   status to MIP so that we can go back to first principles.
   The mix as stated is either setting itself up for a conflict,
   or is presupposing the outcome, both of which seem like a bad
   idea.

			Mike

---

From: Phil Neumiller <[email-masked]>
Date: Tue, 23 Jan 2001 20:37:13 -0600

> and are under the assumption that there is work to be done.

I don't want to get off on a rant here...

No, Phil is saying this about the whole schebang from his somewhat biased,
perverse, and obviously medicated (little blue pills) point of view. 

Context transfer SHOULD be inextricably linked to handover, which MUST be
inextricably linked to tunneling/routing (in the general case), which MUST
be inextricably linked to the MIP WG.  Thus, by transitive closure, the
work must move to the MIP WG.  Paging becomes irrelevant, if MIP is assumed,
since the location of the MN is always known and there is no longer a need
to "find" it.

...but then again I could be wrong!

-pdn